﻿module dwt.dwthelper.Float;

import dwt.dwthelper.utils;
static import tango.text.convert.Float;
import tango.core.Exception;

public final class Float {

    public static float POSITIVE_INFINITY = (1.0f / 0.0f);
    public static float NEGATIVE_INFINITY = ((-1.0f) / 0.0f);
    public static float NaN = (0.0f / 0.0f);
    public static float MAX_VALUE = 3.4028235e+38f;
    public static float MIN_VALUE = 1.4e-45f;
    public static int SIZE = 32;
    public this ( float value ){
        implMissing( __FILE__, __LINE__ );
    }

    public this ( double value ){
        implMissing( __FILE__, __LINE__ );
    }

    public this ( char[] s ){
        implMissing( __FILE__, __LINE__ );
    }

    public static char[] toString( float f ){
        implMissing( __FILE__, __LINE__ );
        return null;
    }

    public static char[] toHexString( float f ){
        implMissing( __FILE__, __LINE__ );
        return null;
    }

    public static Float valueOf( char[] s ){
        implMissing( __FILE__, __LINE__ );
        return null;
    }

    public static Float valueOf( float f ){
        implMissing( __FILE__, __LINE__ );
        return null;
    }

    public static float parseFloat( char[] s ){
        try{
            return tango.text.convert.Float.toFloat( s );
        }
        catch( IllegalArgumentException e ){
            throw new NumberFormatException( e );
        }
    }

    public static bool isNaN( float v ){
        implMissing( __FILE__, __LINE__ );
        return false;
    }

    public static bool isInfinite( float v ){
        implMissing( __FILE__, __LINE__ );
        return false;
    }

    public bool isNaN(){
        implMissing( __FILE__, __LINE__ );
        return false;
    }

    public bool isInfinite(){
        implMissing( __FILE__, __LINE__ );
        return false;
    }

    public char[] toString(){
        implMissing( __FILE__, __LINE__ );
        return null;
    }

    public byte byteValue(){
        implMissing( __FILE__, __LINE__ );
        return 0;
    }

    public short shortValue(){
        implMissing( __FILE__, __LINE__ );
        return 0;
    }

    public int intValue(){
        implMissing( __FILE__, __LINE__ );
        return 0;
    }

    public long longValue(){
        implMissing( __FILE__, __LINE__ );
        return 0L;
    }

    public float floatValue(){
        implMissing( __FILE__, __LINE__ );
        return 0.0f;
    }

    public double doubleValue(){
        implMissing( __FILE__, __LINE__ );
        return 0.0;
    }

    public hash_t toHash(){
        implMissing( __FILE__, __LINE__ );
        return 0;
    }

    public int opEquals( Object obj ){
        implMissing( __FILE__, __LINE__ );
        return false;
    }

    public static int floatToIntBits( float value ){
        implMissing( __FILE__, __LINE__ );
        return 0;
    }

    public static int floatToRawIntBits( float value ){
        implMissing( __FILE__, __LINE__ );
        return 0;
    }

    public static float intBitsToFloat( int bits ){
        implMissing( __FILE__, __LINE__ );
        return 0.0f;
    }

    public int compareTo( Object anotherByte ){
        implMissing( __FILE__, __LINE__ );
        return 0;
    }

    public static int compare( float f1, float f2 ){
        implMissing( __FILE__, __LINE__ );
        return 0;
    }


}


